ClassName (Jackson module: Afterburner 2.11.0 API)
Date: 2020-04-25

com.fasterxml.jackson.module.afterburner.util

## Class ClassName

- java.lang.Object
- - com.fasterxml.jackson.module.afterburner.util.ClassName

-     public class ClassName
      extends Object

  Accessing various permutations of dotted/slashed representations gets tiresome after a while, so here's an abstraction for hiding complexities, and for performing lazy transformations as necessary.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `_checksum`
    `protected String` | `_dottedBase`
    `protected String` | `_dottedName`
    `protected String` | `_slashedBase`
    `protected String` | `_slashedName`
    `static String` | `TEMPLATE_SUFFIX`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static long` | `adler32(byte[] data)`
    `void` | `assignChecksum(byte[] data)`
    `static ClassName` | `constructFor(Class<?> baseClass, String suffix)`
    `protected static String` | `dotsToSlashes(String className)`
    `String` | `getDottedBase()`
    `String` | `getDottedName()`
    `String` | `getDottedTemplate()`
    `String` | `getSlashedBase()`
    `String` | `getSlashedName()`
    `String` | `getSlashedTemplate()`
    `String` | `getSourceFilename()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TEMPLATE_SUFFIX

          public static final String TEMPLATE_SUFFIX

    - #### _dottedBase

          protected final String _dottedBase

    - #### _slashedBase

          protected String _slashedBase

    - #### _dottedName

          protected String _dottedName

    - #### _slashedName

          protected String _slashedName

    - #### _checksum

          protected long _checksum

  - ### Method Detail

    - #### constructFor

          public static ClassName constructFor(Class<?> baseClass,
                                               String suffix)

    - #### assignChecksum

          public void assignChecksum(byte[] data)

    - #### getDottedTemplate

          public String getDottedTemplate()

    - #### getSlashedTemplate

          public String getSlashedTemplate()

    - #### getDottedName

          public String getDottedName()

    - #### getSlashedName

          public String getSlashedName()

    - #### getSourceFilename

          public String getSourceFilename()

    - #### getDottedBase

          public String getDottedBase()

    - #### getSlashedBase

          public String getSlashedBase()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### dotsToSlashes

          protected static String dotsToSlashes(String className)

    - #### adler32

          protected static long adler32(byte[] data)

Copyright © 2020 FasterXML. All rights reserved.